> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazoncreatedirectoryservicesnapshotsparameters-object.md).

# AmazonCreateDirectoryServiceSnapshotsParameters Object

## Description

Parameters for the Amazon Create Directory Service Snapshots action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### directoryIdentificationMethod

Method to use to identify the directories for which snapshots will be created.

Type: `string`

Valid Values:

* `all-directories`
* `by-directory-id`
* `by-directory-name`

Required: Yes

### directoryIds

IDs of the directories for which snapshots will be created. One and only one ID must be specified. Required when `directoryIdentificationMethod` is `by-directory-id`.

Type: Array of `string`

Required: Conditional

### directoryNames

Names of the directories for which snapshots will be created. One and only one name must be specified. Required when `directoryIdentificationMethod` is `by-directory-name`.

Type: Array of `string`

Required: Conditional

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### snapshotName

Name of the snapshots to create.

Type: `string`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    
    "directoryIdentificationMethod": "all-directories",
    
    "snapshotName": "$(DIRECTORYNAME)-$(DATE)"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncreatedirectoryservicesnapshotsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
